package com.gh.gamecenter.adapter.viewholder;

import com.gh.gamecenter.common.base.BaseRecyclerViewHolder;
import com.gh.gamecenter.common.callback.OnListClickListener;
import com.gh.gamecenter.databinding.NewsImage1ItemBinding;
import com.gh.gamecenter.feature.entity.NewsEntity;

/**
 * Created by LGT on 2016/6/6.
 * viewholder
 */
public class NewsImage1ViewHolder extends BaseRecyclerViewHolder<NewsEntity> {

    public NewsImage1ItemBinding binding;

    public NewsImage1ViewHolder(NewsImage1ItemBinding binding) {
        super(binding.getRoot());
        this.binding = binding;
    }

    public NewsImage1ViewHolder(NewsImage1ItemBinding binding, OnListClickListener listClickListener) {
        super(binding.getRoot(), listClickListener);
        this.binding = binding;
        this.binding.getRoot().setOnClickListener(this);
    }
}
